Circular dependency with webkit in gnome-2.28 ?

Ken Moffat zarniwhoop73 at googlemail.com
Tue Oct 6 18:20:43 PDT 2009


2009/10/7 Lars Bamberger <maillist at herr-der-mails.de>:
> Ken Moffat wrote:
>> Will try building in the order libproxy, libsoup, webkit
>> but not sure if that means soem functionality will be
>> lost.
>
> That should be the way to go. The dependency of webkit on libsoup is a
> 'hard' one: the build will fail without it. The dependency of libsoup on
> webkit is a 'soft' one: libsoup will not have a JavaScript plugin if
> compiled without webkit.

 Thanks.
>
> BTW, let me know if and what version of webkit compiles on your box. I
> 'm having some problems with WebKit-r48794.
>
> Lars
>

 I'm (still) compiling 1.1.15.1 and waiting for it to
finish so I can power off..  No, tell a lie, it's just
installed after 52 minutes.  This is on clfs pure64.
Gave it a test earlier on x86 with gcc-4.3, didn't
think it took anything like that sort of time.

I see 1.1.15.2 is out now, a quick look suggests
that one merely fixes problems for people who
build elsewhere than in /usr because of the way
icu-config was called.

Using the icu backend (glib is claimed not to
be so good, if you select glib it still requires
icu-config).

ĸen
-- 
After tragedy, and farce, "OMG poneys!"



More information about the blfs-dev mailing list